# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: 'fr'
    # This parameter defines the codes of the locales (languages) enabled in the application
    app_locales: en|fr|de
    app.notifications.email_sender: anonymous@example.com
    user_class: App\Entity\User
    group_class: App\Entity\Group
    wysiwyg_editor: 'Summernote'
    table_prefix: ~
    fontawesome_style: regular

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true # automatically injects dependencies in your services
        autoconfigure: true # automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    jms_serializer.naming_strategy:
        alias: jms_serializer.identical_property_naming_strategy
    
    parameter_bag:
        class: Symfony\Component\DependencyInjection\ParameterBag\ContainerBag
        arguments: ['@service_container']
        public: true

    app.menu_builder:
      class: App\Menu\MenuBuilder
      arguments: ["@knp_menu.factory"]

    app.main_menu:
      class: Knp\Menu\MenuItem
      factory: ["@app.menu_builder", createMainMenu]
      arguments: ["@request_stack"]
      tags:
        - { name: knp_menu.menu, alias: main }

    app.user_menu:
      class: Knp\Menu\MenuItem
      factory: ["@app.menu_builder", createUserMenu]
      arguments: ["@request_stack"]
      tags:
        - { name: knp_menu.menu, alias: user }

    ReCaptcha\ReCaptcha:
        class: ReCaptcha\ReCaptcha
        arguments:
            - '%env(GOOGLE_RECAPTCHA_SECRET)%'

    Twig\Extension\StringLoaderExtension: ~

    #article_exporter:
    #    parent: Tigris\ContentBundle\DataExporter\ElementExporter
    #    autowire: false
    #    autoconfigure: false
    #    public: false
    #    tags:
    #        - { name: tigris.data_exporter, alias: article}
    Tigris\BaseBundle\Contracts\Geocoding\GeocodingInterface:
      class: Tigris\BaseBundle\Service\Geocoding\Here